Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface JDBCTxDataSourceMBean

public interface JDBCTxDataSourceMBean
extends DeploymentMBean

This MBean defines a transaction-enabled JDBC DataSource.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`boolean` | `getEnableTwoPhaseCommit()` When set to true, this attribute allows non-XA JDBC drivers to emulate participation in distributed transactions using JTA.
`java.lang.String` | `getJNDIName()` The JNDI path to where this TxDataSource is bound.
`java.lang.String` | `getJNDINameSeparator()` The JNDI Seperator is used to seperate JNDIName list for this TxDataSource.
`java.lang.String` | `getPoolName()` The name of the JDBC connection pool that is associated with this TxDataSource.
`int` | `getRowPrefetchSize()` Gets the rowPrefetchSize attribute of the JDBCTxDataSourceMBean object
`int` | `getStreamChunkSize()` Gets the streamChunkSize attribute of the JDBCTxDataSourceMBean object
`boolean` | `isRowPrefetchEnabled()` Controls row prefetching between a client and WebLogic Server for each ResultSet.
`void` | `setEnableTwoPhaseCommit(boolean enable)` When set to true, this attribute allows non-XA JDBC drivers to emulate distributed transactions using JTA.
`void` | `setJNDIName(java.lang.String name)` Sets the JNDI path to where this TxDataSource is bound.
`void` | `setJNDINameSeparator(java.lang.String name)` Sets the Separator used for list of different JNDINames for this TxDataSource.
`void` | `setPoolName(java.lang.String pool)` Sets the name of the JDBC connection pool that is associated with this TxDataSource.
`void` | `setRowPrefetchEnabled(boolean enable)` Set to true to enable row prefetching between client and WebLogic Server for each ResultSet.
`void` | `setRowPrefetchSize(int prefetch)` The number of result set rows to prefetch for a client.
`void` | `setStreamChunkSize(int chunk_size)` Data chunk size for steaming datatypes.

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getJNDIName

    public java.lang.String getJNDIName()

  The JNDI path to where this TxDataSource is bound.

  Applications that look up the JNDI path will get a `javax.sql.DataSource` instance that corresponds to this DataSource.

  Returns:
    The jNDIName value

### setJNDIName

    public void setJNDIName(java.lang.String name)
                     throws javax.management.InvalidAttributeValueException

  Sets the JNDI path to where this TxDataSource is bound. Applications that look up the JNDI path will get a `javax.sql.DataSource` instance that corresponds to this TxDataSource. Note that the old style usage of DriverManager.getConnection() or Driver.connect() has been deprecated in favor of looking up a datasource to obtain a connection.

  Legal Value: (value != null) && (value.trim().length() > 0)
  Parameters:
    `name` - The new jNDIName value
  Throws:
    javax.management.InvalidAttributeValueException -

### getJNDINameSeparator

    public java.lang.String getJNDINameSeparator()

  The JNDI Seperator is used to seperate JNDIName list for this TxDataSource.

  Applications that look up the JNDI path will get a `javax.sql.DataSource` instance that corresponds to this DataSource.

  Default Value: ;
  Legal NULL: false
  Returns:
    The jNDINameSeparator value

### setJNDINameSeparator

    public void setJNDINameSeparator(java.lang.String name)
                              throws javax.management.InvalidAttributeValueException

  Sets the Separator used for list of different JNDINames for this TxDataSource. Applications that look up the JNDI path will get a `javax.sql.DataSource` instance that corresponds to this DataSource.

  Legal Value: ((value != null) && (value.trim().length() > 0))
  Parameters:
    `name` - The new jNDINameSeparator value
  Throws:
    javax.management.InvalidAttributeValueException -

### getPoolName

    public java.lang.String getPoolName()

  The name of the JDBC connection pool that is associated with this TxDataSource.

  Calls from applications to `getConnection()` on this TxDataSource will return a connection from the associated connection pool.

  Returns:
    The poolName value

### setPoolName

    public void setPoolName(java.lang.String pool)
                     throws javax.management.InvalidAttributeValueException

  Sets the name of the JDBC connection pool that is associated with this TxDataSource. Calls from applications to `getConnection()` on this TxDataSource will return a connection from the associated connection pool.

  Legal Value: (value != null) && (value.trim().length() > 0)
  Parameters:
    `pool` - The new poolName value
  Throws:
    javax.management.InvalidAttributeValueException -
  See Also:
    `JDBCConnectionPoolMBean`

### getEnableTwoPhaseCommit

    public boolean getEnableTwoPhaseCommit()

  When set to true, this attribute allows non-XA JDBC drivers to emulate participation in distributed transactions using JTA.

  Use this option if the JDBC connection is the only participant in the transaction and there is no XA compliant JDBC driver available. With more than one resource participating in a transaction where one of them (the JDBC driver) is emulating an XA resource, you may see heuristic failures.

  If this TxDataSource is associated with an XA connection pool, or if there is only one resource participating in the distributed transaction, then this setting is ignored.

  Returns:
    The enableTwoPhaseCommit value
  See Also:
    `setEnableTwoPhaseCommit(boolean enable)`

### setEnableTwoPhaseCommit

    public void setEnableTwoPhaseCommit(boolean enable)
                                 throws javax.management.InvalidAttributeValueException

  When set to true, this attribute allows non-XA JDBC drivers to emulate distributed transactions using JTA.

  The drivers are wrapped with a pseudo XAResource, which returns true during prepare(). This is fine if the JDBC connection is the only participant in the transaction, but it is asking for trouble to have more than one resource participating in a transaction where one of them (the JDBC driver) is pretending to be an XA resource. There is a possibility of heuristic failures in such a situation. setEnableTwoPhaseCommit(true) should be used only if you have no option (no decent XA driver available for a particular database, for example).

  If this TxDataSource is associated with an XA connection pool, or if there is only one resource participating in the distributed transaction, then this setting is ignored.

  Default Value: false
  Parameters:
    `enable` - The new enableTwoPhaseCommit value
  Throws:
    javax.management.InvalidAttributeValueException -

### isRowPrefetchEnabled

    public boolean isRowPrefetchEnabled()

  Controls row prefetching between a client and WebLogic Server for each ResultSet. When an external client accesses a database using JDBC through WebLogic Server, row prefetching improves performance by fetching multiple rows from the server to the client in one server access. WebLogic Server will ignore this setting and not use row prefetching when the client and WebLogic Server are in the same JVM.

  Default Value: false
  Returns:
    The rowPrefetchEnabled value

### setRowPrefetchEnabled

    public void setRowPrefetchEnabled(boolean enable)

  Set to true to enable row prefetching between client and WebLogic Server for each ResultSet. When an external client does JDBC access through WebLogic Server, row prefetching improves performance by fetching multiple rows from the server to the client in one server access. The WebLogic Server will ignore this setting and not use row prefetching when the client and WebLogic Server are in the same JVM.

  Default Value: false
  Parameters:
    `enable` - The new rowPrefetchEnabled value

### setRowPrefetchSize

    public void setRowPrefetchSize(int prefetch)

  The number of result set rows to prefetch for a client. The optimal value depends on the particulars of the query. In general, increasing this number will increase performance, until a particular value is reached. At that point further increases do not result in any significant performance increase. Very rarely will increased performance result from exceeding 100 rows. The default value should be reasonable for most situations.

  Default Value: 48
  Legal Minimum Value: 2
  Legal Maximum Value: 65536
  Parameters:
    `prefetch` - The new rowPrefetchSize value

### getRowPrefetchSize

    public int getRowPrefetchSize()

  Gets the rowPrefetchSize attribute of the JDBCTxDataSourceMBean object

  Returns:
    The rowPrefetchSize value

### setStreamChunkSize

    public void setStreamChunkSize(int chunk_size)

  Data chunk size for steaming datatypes. Streaming datatypes (for example resulting from a call to `getBinaryStream()`) will be pulled in StreamChunkSize sized chunks from the WebLogic Server to the client as needed.

  Default Value: 256
  Legal Minimum Value: 1
  Legal Maximum Value: 65536
  Parameters:
    `chunk_size` - The new streamChunkSize value

### getStreamChunkSize

    public int getStreamChunkSize()

  Gets the streamChunkSize attribute of the JDBCTxDataSourceMBean object

  Returns:
    The streamChunkSize value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD